
Redmine - Defect #24570

Migrating from Trac to Redmine [Trac2Redmine]

2016-12-09 12:49 - F B

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.3.1

Description

Hello everyone, I used to work on a project about migrating our system from trac to redmine.

This summer at my first attempt I was able to migrate some parts of our bug tracking database.

 jIXOU 

But, know I see that there is a new stable releases, I want to migrate completely this time.

Is there anyone who accomplished migration completely?

*at the attachment you can see my migrate_from_trac.rake file, which is edited due to:

-self.inheritance_column = :none instead of set_inheritance_column :none

-self.primary_key = 'name' instead of #set_primary_key :name

-correcting the rake file according to *timestamps patch

History

#1 - 2017-01-02 17:47 - Toshi MARUYAMA

- Category changed from Issues to Importers

#2 - 2018-06-21 15:50 - Rich James

Latest one I can find is: https://github.com/akohlbecker/migrate_from_trac.rake

However, I still can't get it to work (using either Ubuntu 16.04 or 18.04).

There are various versions available from: http://www.redmine.org/issues/20943

The only way I've managed to get a successful migration (and I've only managed to get it to migrate one Trac instance; trying a second gives primary

key violations from the DB back end), and that was to use: https://github.com/eLvErDe/migrate_from_trac.rake/blob/master/migrate_from_trac.rake

Using that script only worked when I spun up an Ubuntu 14.04 virtual and did the migration there.

Files

migrate_from_trac.rake 30.8 KB 2016-12-09 F B

migrate_from_trac.rake.patch 5.31 KB 2016-12-09 F B
